<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.casic.br">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />

    <!--用户隐私权限-->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" /><!--允许获取设备和运营商信息，用于问题排查和网络定位（无gps情况下的定位），若需网络定位功能则必选-->
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" /><!--用于申请调用A-GPS模块-->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /><!--用于进行网络定位-->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /><!--用于访问GPS定位-->
    <uses-permission android:name="android.permission.CAMERA" /><!--相机权限-->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" /><!--允许程序设置内置sd卡的d读权限-->

    <application
        android:name=".base.BaseApplication"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:resizeableActivity="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="false"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true"
        tools:replace="android:allowBackup,android:supportsRtl">
        <activity
            android:name=".view.PermissionActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".view.SplashScreenActivity" />
        <activity android:name=".view.MainActivity" />
        <activity android:name=".view.LoginActivity" />
        <activity android:name=".view.RegisterActivity" />
        <activity android:name=".view.RegisterResultActivity" />
        <activity android:name=".view.EditUserActivity" />
        <activity android:name=".view.AddressManagerActivity" />
        <activity android:name=".view.SettingsActivity" />
        <activity android:name=".view.AllDeviceActivity" />
        <activity android:name=".view.AddDeviceActivity" />
        <activity android:name=".view.SelectWiFiActivity" />
        <activity android:name=".view.ResetDeviceActivity" />
        <activity android:name=".view.SelectBluetoothActivity" />
        <activity android:name=".view.AddDeviceResultActivity" />
        <activity android:name=".view.AddDeviceTabActivity" />
        <activity android:name=".view.device.RangeHoodActivity" />
        <activity android:name=".view.device.WaterHeaterActivity" />

        <!--适配华为（huawei）刘海屏-->
        <meta-data
            android:name="android.notch_support"
            android:value="true" />
        <!--适配小米（xiaomi）刘海屏-->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" />

        <meta-data
            android:name="TUYA_SMART_APPKEY"
            android:value="d8wtsm4jnfmwe4jkpst8" />
        <meta-data
            android:name="TUYA_SMART_SECRET"
            android:value="f3k4ah5qxcfmhm5fhgpvfjje4adgh8at" />

    </application>
</manifest>